package com.zm.order.tool.server.query;

import com.alibaba.fastjson.JSON;
import com.zm.order.tool.server.model.BasePageQuery;

import java.util.Date;
import java.util.List;

/**
 * @Description 订单查询参数
 * @Author: ph
 * @Date: 2019/10/31 09:40
 */
public class OrderQuery extends BasePageQuery {

    /**
     * 库
     */
    private Integer dbIndex;

    private Integer source;

    private Integer orderSubType;

    public Integer getOrderSubType() {
        return orderSubType;
    }

    public void setOrderSubType(Integer orderSubType) {
        this.orderSubType = orderSubType;
    }

    /**
     * 表
     */
    private Integer tbIndex;

    private Long maxId;

    private Date startTime;

    /**
     * 角色
     */
    private Integer role;
    /**
     * 用户id>0
     */
    private Integer isUserId;

    /**
     * id
     */
    private Long id;


    /**
     * 是否执行
     */
    private Integer isRun;
    private Integer orderByFlag;

    /**
     * 执行一库
     */
    private Integer runOne;

    /**
     * 执行除了一库
     */
    private Integer extraOne;


    /**
     * 上一个id
     */
    private Long lastId;

    private Long startId;

    private Long endId;

    /**
     * 商家id
     */
    private Long sellerId;

    /**
     * 门店id
     */
    private Long storeId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 状态范围
     */
    private List<Integer> statusList;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 订单号列表
     */
    private List<String> orderNoList;
    /**
     * 订单号列表
     */
    private List<Long> storeIdList;

    /**
     * 更新时间开始
     */
    private Date updatedAtStart;

    /**
     * 更新时间结束
     */
    private Date updatedAtEnd;

    /**
     * 支付状态
     */
    private Integer payStatus;

    /**
     * 履约状态
     */
    private Integer performanceStatus;

    /**
     * 下单时间开始
     */
    private Date orderAtStart;

    /**
     * 下单时间结束
     */
    private Date orderAtEnd;

    /**
     * 订单类型
     */
    private List<Integer> orderTypeList;

    /**
     * 操作标识
     */
    private String operateFlag;

    /**
     * 条件1标识
     */
    private Boolean condition1Flag;

    /**
     * 条件2标识
     */
    private Boolean condition2Flag;

    /**
     * 条件3标识
     */
    private Boolean condition3Flag;

    /**
     * 条件4标识
     */
    private Boolean condition4Flag;

    /**
     * 条件5标识
     */
    private Boolean condition5Flag;

    /**
     * 来源单号
     */
    private String sourceNo;

    /**
     * 支付单号
     */
    private String payNo;

    /**
     * 取单号
     */
    private String storeOrderNo;

    /**
     * 同步标识
     */
    private Integer syncFlag;

    /**
     * 桌号
     */
    private String performancePlatform;

    /**
     * 订单类型
     */
    private Integer orderType;

    /**
     * 平台支付
     */
    private Integer usePlatForm;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 支付状态列表
     */
    private List<Integer> payStatusList;

    /**
     * 数量
     */
    private Integer size;

    /**
     * 删除
     */
    private Integer isDeleted;

    /**
     * 删除类型
     */
    private List<Integer> deleteTypeList;

    /**
     * 修改后的userId
     */
    private Long updateUserId;

    /**
     * 期望表名
     */
    private String tbName;

    /**
     * 业务类型
     */
    private Integer bizType;

    private List<Integer> performanceTypeList;
    private List<Integer> bizTypeList;

    public List<Integer> getBizTypeList() {
        return bizTypeList;
    }

    public void setBizTypeList(List<Integer> bizTypeList) {
        this.bizTypeList = bizTypeList;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    /**
     * 评论状态
     */
    private Integer commentStatus;

    /**
     * 优惠标记
     */
    private Integer discountFlag;

    /**
     * 商家ID集合
     */
    private List<Long> sellerIdList;

    /**
     * 来源系统
     */
    private Integer fromSystem;

    /**
     * 不等于0
     */
    private Integer excludeStoreId;

    /**
     * 排除状态
     */
    private Integer excludeStatus;

    /**
     * 小于0
     */
    private Long specialUserId;

    /**
     * 过滤item_info = "TL"开关
     */
    private Integer itemInfoFlag;
    private Integer routed;

    /**
     * 支付类型列表
     */
    private List<Integer> payTypeList;

    private List<Long> idList;

    private Date lastTime;

    private List<Long> userIdList;

    private Long orderId;

    private Long excludeSellerId;

    private Integer sortFlag;

    private Integer docType;
    private Integer orderById;
    private Integer likeScrm;

    public Integer getLikeScrm() {
        return likeScrm;
    }

    public void setLikeScrm(Integer likeScrm) {
        this.likeScrm = likeScrm;
    }

    public List<Long> getStoreIdList() {
        return storeIdList;
    }

    public void setStoreIdList(List<Long> storeIdList) {
        this.storeIdList = storeIdList;
    }

    public Integer getOrderById() {
        return orderById;
    }

    public void setOrderById(Integer orderById) {
        this.orderById = orderById;
    }

    public Integer getOrderByFlag() {
        return orderByFlag;
    }

    public void setOrderByFlag(Integer orderByFlag) {
        this.orderByFlag = orderByFlag;
    }

    public Integer getDocType() {
        return docType;
    }

    public void setDocType(Integer docType) {
        this.docType = docType;
    }

    public Integer getSortFlag() {
        return sortFlag;
    }

    public void setSortFlag(Integer sortFlag) {
        this.sortFlag = sortFlag;
    }

    public Long getExcludeSellerId() {
        return excludeSellerId;
    }

    public void setExcludeSellerId(Long excludeSellerId) {
        this.excludeSellerId = excludeSellerId;
    }

    public Integer getRouted() {
        return routed;
    }

    public void setRouted(Integer routed) {
        this.routed = routed;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public List<Long> getUserIdList() {
        return userIdList;
    }

    public void setUserIdList(List<Long> userIdList) {
        this.userIdList = userIdList;
    }

    public Date getLastTime() {
        return lastTime;
    }

    public void setLastTime(Date lastTime) {
        this.lastTime = lastTime;
    }

    public List<Long> getIdList() {
        return idList;
    }

    public void setIdList(List<Long> idList) {
        this.idList = idList;
    }

    public List<Integer> getPayTypeList() {
        return payTypeList;
    }

    public void setPayTypeList(List<Integer> payTypeList) {
        this.payTypeList = payTypeList;
    }

    public Integer getItemInfoFlag() {
        return itemInfoFlag;
    }

    public void setItemInfoFlag(Integer itemInfoFlag) {
        this.itemInfoFlag = itemInfoFlag;
    }

    public Integer getExcludeStatus() {
        return excludeStatus;
    }

    public void setExcludeStatus(Integer excludeStatus) {
        this.excludeStatus = excludeStatus;
    }

    public Long getSpecialUserId() {
        return specialUserId;
    }

    public void setSpecialUserId(Long specialUserId) {
        this.specialUserId = specialUserId;
    }

    public Integer getExcludeStoreId() {
        return excludeStoreId;
    }

    public void setExcludeStoreId(Integer excludeStoreId) {
        this.excludeStoreId = excludeStoreId;
    }

    public Integer getFromSystem() {
        return fromSystem;
    }

    public void setFromSystem(Integer fromSystem) {
        this.fromSystem = fromSystem;
    }

    public List<Long> getSellerIdList() {
        return sellerIdList;
    }

    public void setSellerIdList(List<Long> sellerIdList) {
        this.sellerIdList = sellerIdList;
    }

    public Integer getDiscountFlag() {
        return discountFlag;
    }

    public void setDiscountFlag(Integer discountFlag) {
        this.discountFlag = discountFlag;
    }

    public Integer getCommentStatus() {
        return commentStatus;
    }

    public void setCommentStatus(Integer commentStatus) {
        this.commentStatus = commentStatus;
    }

    public List<Integer> getPerformanceTypeList() {
        return performanceTypeList;
    }

    public void setPerformanceTypeList(List<Integer> performanceTypeList) {
        this.performanceTypeList = performanceTypeList;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Long getMaxId() {
        return maxId;
    }

    public void setMaxId(Long maxId) {
        this.maxId = maxId;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public String getTbName() {
        return tbName;
    }

    public void setTbName(String tbName) {
        this.tbName = tbName;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public Integer getDbIndex() {
        return dbIndex;
    }

    public void setDbIndex(Integer dbIndex) {
        this.dbIndex = dbIndex;
    }

    public Integer getTbIndex() {
        return tbIndex;
    }

    public void setTbIndex(Integer tbIndex) {
        this.tbIndex = tbIndex;
    }

    public Long getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(Long updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Long getStartId() {
        return startId;
    }

    public void setStartId(Long startId) {
        this.startId = startId;
    }

    public Long getEndId() {
        return endId;
    }

    public void setEndId(Long endId) {
        this.endId = endId;
    }

    public Integer getIsUserId() {
        return isUserId;
    }

    public void setIsUserId(Integer isUserId) {
        this.isUserId = isUserId;
    }

    public Integer getIsRun() {
        return isRun;
    }

    public void setIsRun(Integer isRun) {
        this.isRun = isRun;
    }

    public Integer getRunOne() {
        return runOne;
    }

    public void setRunOne(Integer runOne) {
        this.runOne = runOne;
    }

    public Integer getExtraOne() {
        return extraOne;
    }

    public void setExtraOne(Integer extraOne) {
        this.extraOne = extraOne;
    }



    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public List<Integer> getPayStatusList() {
        return payStatusList;
    }

    public void setPayStatusList(List<Integer> payStatusList) {
        this.payStatusList = payStatusList;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getUsePlatForm() {
        return usePlatForm;
    }

    public void setUsePlatForm(Integer usePlatForm) {
        this.usePlatForm = usePlatForm;
    }

    public String getPerformancePlatform() {
        return performancePlatform;
    }

    public void setPerformancePlatform(String performancePlatform) {
        this.performancePlatform = performancePlatform;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public String getStoreOrderNo() {
        return storeOrderNo;
    }

    public void setStoreOrderNo(String storeOrderNo) {
        this.storeOrderNo = storeOrderNo;
    }

    public Integer getRole() {
        return role;
    }

    public void setRole(Integer role) {
        this.role = role;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public List<Integer> getStatusList() {
        return statusList;
    }

    public void setStatusList(List<Integer> statusList) {
        this.statusList = statusList;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public List<String> getOrderNoList() {
        return orderNoList;
    }

    public void setOrderNoList(List<String> orderNoList) {
        this.orderNoList = orderNoList;
    }

    public Date getUpdatedAtStart() {
        return updatedAtStart;
    }

    public void setUpdatedAtStart(Date updatedAtStart) {
        this.updatedAtStart = updatedAtStart;
    }

    public Date getUpdatedAtEnd() {
        return updatedAtEnd;
    }

    public void setUpdatedAtEnd(Date updatedAtEnd) {
        this.updatedAtEnd = updatedAtEnd;
    }

    public Integer getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }

    public Integer getPerformanceStatus() {
        return performanceStatus;
    }

    public void setPerformanceStatus(Integer performanceStatus) {
        this.performanceStatus = performanceStatus;
    }

    public Date getOrderAtStart() {
        return orderAtStart;
    }

    public void setOrderAtStart(Date orderAtStart) {
        this.orderAtStart = orderAtStart;
    }

    public Date getOrderAtEnd() {
        return orderAtEnd;
    }

    public void setOrderAtEnd(Date orderAtEnd) {
        this.orderAtEnd = orderAtEnd;
    }

    public List<Integer> getOrderTypeList() {
        return orderTypeList;
    }

    public void setOrderTypeList(List<Integer> orderTypeList) {
        this.orderTypeList = orderTypeList;
    }

    public String getOperateFlag() {
        return operateFlag;
    }

    public void setOperateFlag(String operateFlag) {
        this.operateFlag = operateFlag;
    }

    public Boolean getCondition1Flag() {
        return condition1Flag;
    }

    public void setCondition1Flag(Boolean condition1Flag) {
        this.condition1Flag = condition1Flag;
    }

    public Boolean getCondition2Flag() {
        return condition2Flag;
    }

    public void setCondition2Flag(Boolean condition2Flag) {
        this.condition2Flag = condition2Flag;
    }

    public Boolean getCondition3Flag() {
        return condition3Flag;
    }

    public void setCondition3Flag(Boolean condition3Flag) {
        this.condition3Flag = condition3Flag;
    }

    public Boolean getCondition4Flag() {
        return condition4Flag;
    }

    public void setCondition4Flag(Boolean condition4Flag) {
        this.condition4Flag = condition4Flag;
    }

    public Boolean getCondition5Flag() {
        return condition5Flag;
    }

    public void setCondition5Flag(Boolean condition5Flag) {
        this.condition5Flag = condition5Flag;
    }

    public String getSourceNo() {
        return sourceNo;
    }

    public void setSourceNo(String sourceNo) {
        this.sourceNo = sourceNo;
    }

    public String getPayNo() {
        return payNo;
    }

    public void setPayNo(String payNo) {
        this.payNo = payNo;
    }

    public Integer getSyncFlag() {
        return syncFlag;
    }

    public void setSyncFlag(Integer syncFlag) {
        this.syncFlag = syncFlag;
    }

    public List<Integer> getDeleteTypeList() {
        return deleteTypeList;
    }

    public void setDeleteTypeList(List<Integer> deleteTypeList) {
        this.deleteTypeList = deleteTypeList;
    }

    public Long getLastId() {
        return lastId;
    }

    public void setLastId(Long lastId) {
        this.lastId = lastId;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
